#
# spec file for package vdr-plugin-xine (Version MACRO)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define pluginversion 0.8.2
%define pluginname xine
%define pluginurl http://home.vr-web.de/~rnissl/
#
%define plugindir %pluginname-%pluginversion
%define plugintarball vdr-%pluginname-%pluginversion.tar.bz2
#
%define pkgversion %pluginversion

Name:           vdr-plugin-xine
Version:        %pkgversion
Release:        7.1
Source:         %plugintarball
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        VDR %pluginname plugin
License:        GPL v2 or later
Group:          Applications/Multimedia
BuildRequires:  gcc-c++ vdr-devel
PreReq:         vdr(abi) = %{vdr_apiversion}
Url:            %pluginurl
#
BuildRequires:  xine-devel
PreReq:         %fillup_prereq
Source1:        sysconfig.vdr-xine
Patch0:         vdr-xine-0.8.2.diff
Patch1:         vdr-xine-0.8.2-nodebug.diff
Patch2:         vdr-xine-CAN-2005-0071.diff
# only needed for packages that used the old naming scheme
Obsoletes:      vdr-%pluginname < %pkgversion
# used to be in vdr-plugins
Provides:       vdr-plugins:/usr/share/doc/packages/vdr/plugins/%{pluginname}
Conflicts:      vdr-plugins <= 0.5

%description

%vdrname %pluginname plugin
%prep 
%setup -q -n %plugindir
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%vdr_make

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{vdr_sysconfdir}/plugins/xine
install -d -m 755 %{buildroot}/var/lib/vdr-xine
install -m 644 data/* %{buildroot}%{vdr_sysconfdir}/plugins/xine
install -m 755 xineplayer %{buildroot}%{_bindir}
# sysconfig
install -d -m 755 %{buildroot}/var/adm/fillup-templates
install -m 644 %{SOURCE1} %{buildroot}/var/adm/fillup-templates/sysconfig.%vdrname-xine
#
%vdr_install_plugin %pluginname
%vdr_install_plugin_locale
#
%find_lang vdr-%pluginname

%clean
rm -rf "${RPM_BUILD_ROOT}"

%post
%{fillup_only -n %vdrname -s xine}

%files -f vdr-%pluginname.lang
%defattr(-,root,root)
%doc COPYING HISTORY INSTALL MANUAL README
%{vdr_libdir}/*
%attr(-,vdr,root) %dir %{vdr_sysconfdir}/plugins/xine
# not really config files
%attr(-,vdr,root) %{vdr_sysconfdir}/plugins/xine/*.mpg
%{_bindir}/xineplayer
%attr(755, vdr, video) /var/lib/vdr-xine
/var/adm/fillup-templates/sysconfig.%vdrname-xine
%changelog
* Thu Jun  4 2009 lnussel@suse.de
- split vdr-plugin-xine off vdr-plugins
